/* COLORS
darker green  437F39 rgb(67,127,57)
dark green    2D7F1F rgb(45,127,31)
green         49CC32 rgb(73,204,50)
light green   5BFF3F rgb(91,255,63)
lighter green 96FF84 rgb(150,255,132)
*/

/* 1680 X 1050 */

/* HTML and Body styles */
html, body {
  overflow-x: hidden;
  height: 100%;
}

/* Navigation styles */
/* Horizontal */
nav#horizontal-nav {
  margin: 0 auto 0;
  width: 900px;
  overflow: auto;
  font-family: 'Raleway', sans-serif;
  font-weight: bold;
}
nav#horizontal-nav li {
  float: right;
  width: 15%;
  height: 50px;
  text-align: center;
}
nav#horizontal-nav li:first-of-type {
  float: left;
  white-space: nowrap;
}
nav#horizontal-nav li a {
  color: black;
  display: block;
  line-height: 50px;
  text-decoration: none;
}
nav#horizontal-nav li:first-of-type {
  width: 15%;
  background-image: url("../img/logo.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-origin: padding-box;
  background-clip: border-box;
}
nav#horizontal-nav li a:hover {
  color: #007acc;
}
nav#horizontal-nav li a:active {
  color: #437F39;
}
/* Header styles */
header {
  /*margin-bottom: 1em;*/
}

/* Header styles */
/* Background image */
header div#skyline {
  /*background-color: rgba(0, 0, 0, 0.5);*/
  background-color: #444;
  background-size: cover;
  background-image: url("../img/portland_oregon_banner.jpg");
  background-blend-mode: soft-light;
  background-repeat: no-repeat;
  background-position: center;
}
header div#skyline {
  height: 300px;
  text-align: center;
  white-space: nowrap;
  clear: left;
  -webkit-box-shadow: inset 0 5px 8px -1px #333, inset 0 -5px 8px -1px #333;
  -moz-box-shadow: inset 0 5px 8px -1px #333, inset 0 -5px 8px -1px #333;
  box-shadow: inset 0 5px 8px -1px #333, inset 0 -5px 8px -1px #333;
}

/* Header styles */
/* Overlay text*/
header div#skyline:before {
  content: '';
  height: 100%;
  display: inline-block;
  vertical-align: middle;
  margin-right: -.35em;
}
header div div#text-overlay {
  vertical-align: middle;
  text-align: center;
  display: inline-block;
  width: 800px;
  margin: 0 auto 0;
}

header div#text-overlay * {
  color: white;
  font-family: 'Raleway', sans-serif;
  text-shadow: 0px 0px 8px black;
  margin-bottom: 1em;
}
header div#text-overlay h1 {
  font-size: 2em;
  font-weight: bold;
  letter-spacing: 1px;
}
header div#text-overlay h2 {
  font-size: 1.5em;
  font-weight: bold;
}
header div#text-overlay h3 {
  font-size: 1em;
  text-transform: capitalize;
}


/* Section styles */
section {
  font-family: 'Lora', serif;
  margin: 0 auto 0;
  min-height: 40em;
  width: 900px;
  overflow-y: hidden; /* force section to consume vertical space */
}
section article#main {
  float: left;
  width: 60%;
  margin: 0 2.5% 0;
  padding-top: 2em;
}
section article#main p {
  margin-bottom: 1em;
}
section article#main p + p {
  text-indent: 1em;
}
section article#main p:first-child:first-letter {
  float: left;
  color: #903;
  font-size: 2.2em;
  line-height: 0.5em;
  padding-top: 4px;
  padding-right: 2px;
  font-family: Georgia;
}
section article#side {
  float: right;
  text-align: right;
  width: 30%;
  height: 100%;
  padding-top: 2em;
  padding-right: 1em;
}
section article#side p {
  margin-bottom: 1em;
}

/* Footer styles */
footer {
  background-color: rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: inset 0 2px 4px -1px #aaa;
  -moz-box-shadow: inset 0 2px 4px -1px #aaa;
  box-shadow: inset 0 2px 4px -1px #aaa;
  text-align: center;
  clear: left;
  font-variant: small-caps;
}
footer > address {
  display: inline;
}

/* FAQ styles */
section article#faq {
  width: 80%;
  margin: 0 auto 0;
  padding-top: 2em;
}
section article#faq p {
  margin-bottom: 1em;
}
section article#faq img {
  float: left;
  filter: alpha(opacity=20);
  -moz-opacity:0.2;
  opacity: 0.2;
  width: 2em;
}
#faq h1 {
  text-align: center;
  font-size: 1.5em;
  font-family: 'Raleway', sans-serif;
  margin-bottom: 1em;
}
#faq {

}
#faq dt {
  font-size: 1.2em;
  margin-bottom: 0.2em;
  font-weight: bold;
}
#faq dt:before {
  content: 'Q: ';
}
#faq dd {
  margin-bottom: 1em;
  line-height: 1.2em;
}
#faq dd:before {
  content: 'A: ';
}

/* Contact styles */
section article#contact {
  margin: 0 auto 0;
  width: 600px;
}
section article#contact h1 {
  text-align: center;
  font-size: 1.5em;
  font-family: 'Raleway', sans-serif;
  margin-bottom: 1em;
  margin-top: 1em;
}
section article#contact p {
  margin-bottom: 1em;
  text-align: center;
}
section article#contact img {
  float: left;
  filter: alpha(opacity=50);
  -moz-opacity:0.5;
  opacity: 0.5;
  width: 2em;
}
fieldset {
  border: 1px solid green;
  border: 1px solid hsla(120, 100%, 25%, 0.3);
  margin-bottom: 1em;
  padding: 2%;
  width: 100%;
}
fieldset#contactInfo {
}
label {
  width: 40%;
  float: left;
  clear: left;
}
input, textarea {
  width: 50%;
  margin-bottom: 0.5em;
  float: left;
  display: block;
}
select {
  margin-bottom: 0.5em;
  display: block;
}
button[type="submit"] {
  float: right;

  border: 1px solid black;
  border-radius: 3px;
}

/* Services styles */
article h2 {
  font-weight: bold;
  font-size: 1.4em;
  margin-bottom: 0.5em;
}
article dt {
  font-weight: bold;
  margin-bottom: 0.2em;
}
article dd {
  margin-bottom: 1em;
  line-height: 1.2em;
}
article table {
  font-size: .8em;
  margin-bottom: 1em;
}
article table td {
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-collapse: collapse;
  padding: .2em;
}
article#side strong {
  outline: 1px solid rgba(0, 0, 0, 0.2);
  line-height: 1.4em;
}

/* Cross reference styles */
#xref ol, #xref ul, #xref li {
  margin: 1em;
}
#xref ol {
  list-style: decimal;
}
#xref ul {
  list-style: circle;
}
